## ros-noetic-electronic-io 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(electronic_io)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

#catkin_lint: ignore uninstalled_script
catkin_install_python(PROGRAMS
  nodes/devices
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if (CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)

  # catkin_lint - checks validity of package.xml and CMakeLists.txt
  # ROS buildfarm calls this without any environment and with empty rosdep cache,
  # so we have problems reading the list of packages from env
  # see https://github.com/ros-infrastructure/ros_buildfarm/issues/923
  if(DEFINED ENV{ROS_HOME})
    #catkin_lint: ignore_once env_var
    set(ROS_HOME "$ENV{ROS_HOME}")
  else()
    #catkin_lint: ignore_once env_var
    set(ROS_HOME "$ENV{HOME}/.ros")
  endif()

  #catkin_lint: ignore_once env_var
  if(DEFINED ENV{ROS_ROOT} AND EXISTS "${ROS_HOME}/rosdep/sources.cache")
    roslint_custom(catkin_lint "-W2" .)
  endif()

  set(ROSLINT_PYTHON_OPTS "--max-line-length=120")
  roslint_python(
    nodes/devices
    nodes/fake_io_board
    src/${PROJECT_NAME}/__init__.py
    src/${PROJECT_NAME}/device.py
    src/${PROJECT_NAME}/io_board_client.py
    src/${PROJECT_NAME}/io_board_server.py
    src/${PROJECT_NAME}/pins.py
    src/${PROJECT_NAME}/devices/ampere_meter.py
    src/${PROJECT_NAME}/devices/battery.py
    src/${PROJECT_NAME}/devices/dimmable_led.py
    src/${PROJECT_NAME}/devices/output_group.py
    src/${PROJECT_NAME}/devices/power_switch.py
    src/${PROJECT_NAME}/devices/thermometer.py
    src/${PROJECT_NAME}/devices/voltmeter.py
    src/${PROJECT_NAME}/virtual_pins/binary_pwm.py
    src/${PROJECT_NAME}/virtual_pins/digital_pin_combo.py
    src/${PROJECT_NAME}/virtual_pins/linear_adc_pin.py
  )

  roslint_add_test()
endif()

=== debian/changelog ===
ros-noetic-electronic-io (1.0.3-1focal) focal; urgency=high

  * Fixed build and docs
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 02 Jul 2023 22:00:00 -0000

ros-noetic-electronic-io (1.0.2-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 29 Jun 2023 22:00:00 -0000

ros-noetic-electronic-io (1.0.1-1focal) focal; urgency=high

  * Added support for simplified specification of pins in config.
  * Added BinaryPWM virtual pin.
  * Added virtual pins.
  * It topic is set to empty, the topics and services will not be created.
  * Added Battery device.
  * Export the provided devices.
  * Allow setting queue_size and latching for output devices.
  * Added support for output groups.
  * Robustified IO board client.
  * Initial commit
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 18 Jun 2023 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-electronic-io
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), python3-catkin-lint <!nocheck>, python3-setuptools, ros-noetic-catkin, ros-noetic-roslint <!nocheck>
Homepage: https://wiki.ros.org/electronic_io
Standards-Version: 3.9.2

Package: ros-noetic-electronic-io
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cras-msgs, ros-noetic-electronic-io-msgs, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-srvs
Description: Convenience library for interaction with analog and digital inputs and outputs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-electronic-io//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
